%define upstream_name    Text-Template-Simple
%define upstream_version 0.86

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Simple text template engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This document describes version '0.86' of 'Text::Template::Simple' released
on '5 March 2012'.

This is a simple template module. There is no extra template/mini language.
Instead, it uses Perl as the template language. Templates can be cached on
disk or inside the memory via the internal cache manager. It is also
possible to use static/dynamic includes, pass parameters to includes and
apply filters on them. Also see the Text::Template::Simple::API manpage for
the full API definiton.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README SPEC TODO eg
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.860.0-5.mga6
+ Revision: 1035169
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.860.0-4.mga6
+ Revision: 948694
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.860.0-3.mga5
+ Revision: 788233
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.860.0-2.mga5
+ Revision: 745576
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.860.0-1.mga5
+ Revision: 736320
- imported package perl-Text-Template-Simple


* Fri Oct 03 2014 Thierry Vignaud <tv@mageia.org> 0.860.0-1.mga5
- initial mageia release, generated with cpan2dist
